# EnemyFusionChanceModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EnemyFusionChanceModifier

#### Hierarchy (view full)

- EnemyPersistentModifier
  - EnemyFusionChanceModifier

- Defined in src/modifier/modifier.ts:2321

#####
Index

### Constructors

constructor

### Properties

chance
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxStackCount
getStackCount
incrementStack
isIconVisible
match
shouldApply

## Constructors

### constructor

- new EnemyFusionChanceModifier(type, chancePercent, stackCount?): EnemyFusionChanceModifier

- #### Parameters

  - type: ModifierType
  - chancePercent: number
  - `Optional` stackCount: number

  #### Returns EnemyFusionChanceModifier

  Overrides EnemyPersistentModifier.constructor

  - Defined in src/modifier/modifier.ts:2324

## Properties

### `Private` chance

chance: number

- Defined in src/modifier/modifier.ts:2322

### stackCount

stackCount: number

Inherited from EnemyPersistentModifier.stackCount

- Defined in src/modifier/modifier.ts:139

### type

type: ModifierType

Inherited from EnemyPersistentModifier.type

- Defined in src/modifier/modifier.ts:121

### virtualStackCount

virtualStackCount: number

Inherited from EnemyPersistentModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:140

## Methods

### add

- add(modifiers, virtual, scene): boolean

- #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean
  - scene: default

  #### Returns boolean

  Inherited from EnemyPersistentModifier.add

  - Defined in src/modifier/modifier.ts:148

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides EnemyPersistentModifier.apply

  - Defined in src/modifier/modifier.ts:2342

### clone

- clone(): EnemyFusionChanceModifier

- #### Returns EnemyFusionChanceModifier

  Overrides EnemyPersistentModifier.clone

  - Defined in src/modifier/modifier.ts:2334

### getArgs

- getArgs(): any[]

- #### Returns any[]

  Overrides EnemyPersistentModifier.getArgs

  - Defined in src/modifier/modifier.ts:2338

### getIcon

- getIcon(scene, forSummary?): Container

- #### Parameters

  - scene: default
  - `Optional` forSummary: boolean

  #### Returns Container

  Inherited from EnemyPersistentModifier.getIcon

  - Defined in src/modifier/modifier.ts:192

### getIconStackText

- getIconStackText(scene, virtual?): BitmapText

- #### Parameters

  - scene: default
  - `Optional` virtual: boolean

  #### Returns BitmapText

  Inherited from EnemyPersistentModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:213

### getMaxStackCount

- getMaxStackCount(scene): number

- #### Parameters

  - scene: default

  #### Returns number

  Overrides EnemyPersistentModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:2352

### getStackCount

- getStackCount(): number

- #### Returns number

  Inherited from EnemyPersistentModifier.getStackCount

  - Defined in src/modifier/modifier.ts:182

### incrementStack

- incrementStack(scene, amount, virtual): boolean

- #### Parameters

  - scene: default
  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from EnemyPersistentModifier.incrementStack

  - Defined in src/modifier/modifier.ts:169

### isIconVisible

- isIconVisible(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  Inherited from EnemyPersistentModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:188

### match

- match(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides EnemyPersistentModifier.match

  - Defined in src/modifier/modifier.ts:2330

### shouldApply

- shouldApply(_args): boolean

- #### Parameters

  - _args: any[]

  #### Returns boolean

  Inherited from EnemyPersistentModifier.shouldApply

  - Defined in src/modifier/modifier.ts:131